Package Details: google-appengine-go 1.9.48-1

Git Clone URL: https://aur.archlinux.org/google-appengine-go.git (read-only)
Package Base: google-appengine-go
Description: Google App Engine SDK for Go
Upstream URL: http://code.google.com/appengine/downloads.html#Google_App_Engine_SDK_for_Go
Keywords: appengine gcloud go google
Licenses: Apache
Submitter: xyproto
Maintainer: sudoforge
Last Packager: sudoforge
Votes: 32
Popularity: 0.000011
First Submitted: 2011-05-10 16:49
Last Updated: 2018-08-01 06:54

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

xyproto commented on 2014-06-10 19:16

Updated to 1.9.6.

xyproto commented on 2014-05-20 18:12

Updated to 1.9.4. Removed the symbolic link so that files are placed in /usr/lib/python2.7/site-packages/google directly instead. Checked with python2-protobuf, and there are no file conflicts. If you know about python2 packages that has file conflicts with this one, please let me know, and I'll try to fix it (or add the offending package to the conflicts=() array in the PKGBUILD). Thanks.

swdunlop commented on 2014-05-13 23:45

Upstream has released 1.9.4. Also, the symbolic link created here:

ln -s "/opt/$pkgname/google" "$pkgdir/usr/lib/python2.7/site-packages/google"

Conflicts with python2-protobuf and probably other python packages originating with Google. Not sure what the best choice -- either add an extra PYTHONPATH entry, move these files to site-packages/google from /opt/$pkgname/google; I went for the former out of expedience.

xyproto commented on 2014-04-13 17:37

Updated to 1.9.2.

xyproto commented on 2014-02-26 18:10

Updated the package.

xyproto commented on 2014-02-26 18:07

Thanks for noticing, Andares. I will add 'staticlibs' so that .a files are included again.

(Just out of curiosity, when are they needed?)

Andares commented on 2014-02-22 08:51

It looks like makepkg recently added "!staticlibs" to the default OPTIONS for packages. This causes all of the .a files to be stripped out of $(GOROOT)/pkg/$(ARCH), which prevents the package from working.

The fix:
options=('!strip' 'staticlibs')
on line 13 of the PKGBUILD.

Thanks to Addle on #archlinux for pointing this out to me.

xyproto commented on 2014-01-23 14:49

Updated to 1.8.9.

xyproto commented on 2014-01-17 13:41

Thanks for noticing, cryptix. Fixed.

cryptix commented on 2014-01-16 17:23

goapp, godoc and gofmt are missing the executable flag.